/****************************************************
 * PACKAGE INSTALLATION SCRIPT (Created 2002-2005)
 *
 * Contributors:
 *  Stephen Bounds <GuruJ@mbox.com.au>
 *  Biju G C <bijumaillist@yahoo.com>
 *
 ****************************************************/

// 1. Set parameters of package installation
var __pkgName  = "Preferential";
var __progName = "preferential";
var __version   = "0.8.1";
var __author    = "Stephen Bounds";
var __translator = "A.Larionov";
var __locale    = "ru-RU";

// set useful constants and objects
var __jarName    = __progName + ".jar";
var __appFolder  = getFolder("Chrome", "");
var __userFolder = getFolder("Current User", "chrome");


// 2. Initialise package
var err = initInstall(__pkgName, "/" + __author + "/" + __pkgName, __version);


// 3. Check where to install
var flagLocation        = PROFILE_CHROME;
var installFolder       = __userFolder;
var existsInApplication = File.exists(getFolder(__appFolder, __jarName));
var existsInProfile     = File.exists(getFolder(__userFolder, __jarName));
var msgLocationChk      = "\u0423\u043A\u0430\u0436\u0438\u0442\u0435, \u043A\u0443\u0434\u0430 \u0443\u0441\u0442\u0430\u043D\u0430\u0432\u043B\u0438\u0432\u0430\u0442\u044C " + __pkgName + "\n"
                        + "\u0412\u044B \u0445\u043E\u0442\u0438\u0442\u0435 \u0443\u0441\u0442\u0430\u043D\u043E\u0432\u0438\u0442\u044C \u0440\u0430\u0441\u0448\u0438\u0440\u0435\u043D\u0438\u0435 \u0432 \u043A\u0430\u0442\u0430\u043B\u043E\u0433 \u0432\u0430\u0448\u0435\u0433\u043E \u043F\u0440\u043E\u0444\u0438\u043B\u044F?\n"
                        + " \u041D\u0430\u0436\u043C\u0438\u0442\u0435 [OK] \u0434\u043B\u044F \u0443\u0441\u0442\u0430\u043D\u043E\u0432\u043A\u0438 \u0432 \u043A\u0430\u0442\u0430\u043B\u043E\u0433 \u0432\u0430\u0448\u0435\u0433\u043E \u043F\u0440\u043E\u0444\u0438\u043B\u044F;\n"
                        + " \u041D\u0430\u0436\u043C\u0438\u0442\u0435 [Cancel] \u0434\u043B\u044F \u0433\u043B\u043E\u0431\u0430\u043B\u044C\u043D\u043E\u0439 \u0443\u0441\u0442\u0430\u043D\u043E\u0432\u043A\u0438 \u0432 \u043A\u0430\u0442\u0430\u043B\u043E\u0433 Mozilla."

// If this is first install of package, ask where XPI should be installed
if(existsInApplication || (!existsInProfile && !confirm(msgLocationChk)))
{
  flagLocation  = DELAYED_CHROME;
  installFolder = __appFolder;
}


// 4. Flag files/folders to be added
addFile(__pkgName, "chrome/" + __jarName, installFolder, "");


// 5. Register chrome (this is what contents.rdf is used for)
__package = getFolder(installFolder, __jarName)

registerChrome(CONTENT | flagLocation, __package, "content/");
registerChrome(LOCALE  | flagLocation, __package, "locale/" + __locale + "/" + __progName + "/");
//registerChrome(SKIN | flagLocation, __package, "skin/");


// 6. Perform the installation
err = performInstall();


// 7. Report on success or otherwise
if ( err == SUCCESS || err == "999" ) {
   refreshPlugins();
   alert(__pkgName + " \u0443\u0441\u0442\u0430\u043D\u043E\u0432\u043B\u0435\u043D. \n \u0412\u044B \u0434\u043E\u043B\u0436\u043D\u044B \u0432\u044B\u0439\u0442\u0438 \u0438\u0437 \u0431\u044B\u0441\u0442\u0440\u043E\u0433\u043E \u0437\u0430\u043F\u0443\u0441\u043A\u0430 \u0438 \u043F\u0435\u0440\u0435\u0437\u0430\u0433\u0440\u0443\u0437\u0438\u0442\u044C \u043F\u0440\u0438\u043B\u043E\u0436\u0435\u043D\u0438\u0435 \u0434\u043B\u044F \u043E\u043A\u043E\u043D\u0447\u0430\u043D\u0438\u044F \u0443\u0441\u0442\u0430\u043D\u043E\u0432\u043A\u0438.");
}
else {
   alert("Install failed. \nError code:" + err);
   cancelInstall(err);
}